module UU
  module OperationRegistry
    # List of possible states for MessageBus 
    class MessageBusState
      # MessageBus was created (i.e registered in Operation Registry)
      CREATED = 'CREATED'

      # MessageBus was deployed, nodes were created (i.e capacity was allocated) and executor containers started.
      DEPLOYED = 'DEPLOYED'

      # MessageBus was undeployed, all containers were stopped and nodes deleted (i.e capacity was freed)
      UNDEPLOYED = 'UNDEPLOYED'

      # Deployment of MessageBus is running now
      DEPLOYING = 'DEPLOYING'

      # Undeployment of MessageBus is running now.
      UNDEPLOYING = 'UNDEPLOYING'

      # Message bus is deployed, no more queue pairs can be allocated. If there are any Queue pairs
      # that had been allocated before PASSIVE state was set, they stay allocated until their
      # application release them (when the application is undeployed)
      PASSIVE = 'PASSIVE'

      # Message bus is undeployed, no queue pairs can be allocated.
      SUSPENDED = 'SUSPENDED'

    end
  end
end
